Subject: RE: Need multibyte advice - Shift-JIS

From: "Randall S. Becker" <[email-masked]>
Date: Wed, 27 Feb 2019 13:50:18 -0500

On February 27, 2019 13:18, Michal Suchánek wrote:
> On Wed, 27 Feb 2019 12:59:15 -0500
> "Randall S. Becker" <[email-masked]> wrote:
> 
> > On February 27, 2019 12:51, Michal Suchánek wrote:
> > > To: Randall S. Becker <[email-masked]>
> > > Cc: [email-masked]
> > > Subject: Re: Need multibyte advice - Shift-JIS
> > >
> 
> > I'm sorry if I was not clear about all this. NonStop is not a Linux platform. It
> is POSIX. Not all utilities are available and not all utilities have all capabilities.
> lv is not available for the platform. less considers the data binary and displays
> what usually is displayed when you try to use it for binary multibyte. You get
> @^@- and such. It does not present the data in the correct character set for
> the user.
> >
> > This was only one part of my original question. I am searching elsewhere
> for support on pagers, because this really is not an appropriate discussion for
> the git group to focus on, do let's drop this, please, as not worth continuing.
> My original request was more about how to set up the file attributes,
> difference engine, and the rest of the git infrastructure. The partner I am
> working with is doing this with git hooks, which I am not really happy about.
> Let's prune this discussion as not worthy.
> >
> 
> Yes, this is totally unclear. Setting git hooks is possible but setting
> LESSCHARDEF is not?
It can enter the environment simply through .profile, where we can change GIT_PAGER. We have established that separately.

> Is patching git acceptable or is that out of question too?
I have done a bunch of git patching, where specifically.

> What are your requirements, exactly?
Source code and comments contain SJIS content. The requirement is to be able to move seamlessly in and out of git, and have git show/diff/log display SJIS as well as ASCII content. How that happens is open. The UTF-16 is a red-herring, only as an attempt at getting at SJIS content differently than the limitation imposed by less.